/**
 * @file
 * Client-side script to integrate private message with browser notifications.
 */

/*global jQuery, Drupal, drupalSettings, io*/
/*jslint white:true, this, browser:true*/

(function ($, Drupal, drupalSettings, io) {

  "use strict";

  var initialized, browserNotificationSocket;

  function init() {

    // Only initialize once.
    if (!initialized) {
      initialized = true;

      browserNotificationSocket = io(drupalSettings.privateMessageNodejs.nodejsUrl + "/pm_browser_notification");

      Drupal.AjaxCommands.prototype.privateMessageNodejsNotifyBrowserOfNewMessage = function (ajax, response) {

        // For jSlint compatibility.
        ajax = ajax;
        $.each(response.uids, function (index) {
          browserNotificationSocket.emit("notify browser new message", response.uids[index], response.message);
        });
      };
    }
  }

  Drupal.behaviors.privateMessageNodejsForm = {
    attach: function () {
      init();
    }
  };

}(jQuery, Drupal, drupalSettings, io));
