<?php

namespace Drupal\private_message_nodejs\Service;

use Drupal\private_message\Entity\PrivateMessageInterface;
use Drupal\private_message\Entity\PrivateMessageThreadInterface;

/**
 * Provides services for the PrivateMessageNodejs module.
 */
interface PrivateMessageNodejsServiceInterface {

  /**
   * Build browser notification message data.
   *
   * @param \Drupal\private_message\Entity\PrivateMessageInterface $privateMessage
   *   The private message to which the notification refers.
   * @param \Drupal\private_message\Entity\PrivateMessageThreadInterface $privateMessageThread
   *   The private message thread to which the notification refers.
   *
   * @return array
   *   An array of data regarding the info to be sent.
   *   Required Keys:
   *   - author (string): The name of the sender.
   *   - icon (string): The URL of the image to use in the popup.
   *   - title (string): The title to show in the popup.
   *   Optional:
   *   - link (string): A URL that clicking the private link will show.
   */
  public function buildBrowserPushNotificationData(
    PrivateMessageInterface $privateMessage,
    PrivateMessageThreadInterface $privateMessageThread
  );

}
